-- this is a comment line
-- ----------------------
get_aice_version()
opt_clear_timeout()
aice.cmd_set_tck_freq(TCK_375KHz)  -- slowest TCK frequency

do_reset = false

if do_reset then
	printf("toggle nSRST\n")
	aice.cmd_sys_reset()
	printf("a short pause for reset recovery\n")
	sleep(700) -- sleep 700 ms
end

printf("scan for JTAG ID\n")
aice.set_usb_verbose(1)
jtag_id_table = aice.cmd_scan_chain();

for i,v in ipairs(jtag_id_table) do
	printf("idcode = %08x\n", v)
end

